avisplit(1)

NAME
avisplit - split AVI-files into chunks of a maximum size

SYNOPSIS
avisplit [ -i file -o base [ -s size ] [ -H num ] [ -t s1-s2[,s3-s4,..] -c -m ] ] [ -v ]

COPYRIGHT
avisplit is Copyright (C) by Thomas Östreich.

DESCRIPTION
avisplit splits a single AVI-file into chunks of size size.
Each of the created chunks will be an independent file, i.e. it can be played without needing any other of the chunks. ???

OPTIONS

-i file
    Specify the filename of the file to split into chunks.

-o base
    Specify the base of the output filename(s) avisplit will then split to base-%04d.avi

-s size
    Use this option to specify the maximum size (in units of MB) of the chunks avisplit should create. 0 means dechunk, create as many files as possible.

-H num
    Create only the first num chunks then exit.

-t s1-s2[,s3-s4,..]
    Split the input file based on time/framecode (hh:mm:ss.ms)

-c  Together with -t. Merge all segments into one AVI-File again instead generating seperate files.

-m  Together with -t. Force split at upper bondary instead of lower border.

-v  Print only version information and exit.

EXAMPLES
The command

avisplit -s 700 -i my_file.avi

will split the file my_file.avi into chunks which's maximum size will not exceed 700 MB, i.e. they will fit onto a CD, each. The created chunks will be named my_file.avi-0000, my_file.avi-0001, etc.

avisplit -i my_file.avi -c -o out.avi -t 00:10:00-00:11:00,00:13:00-00:14:00

will grab Minutes 10 to 11 and 13 to 14 from my_file.avi and merge it into out.avi

AUTHORS
avisplit was written by Thomas Östreich
<ostreich@theorie.physik.uni-goettingen.de> with contributions from many others. See AUTHORS for details.

SEE ALSO
avifix(1), avimerge(1), tccat(1), tcdecode(1), tcdemux(1), tcextract(1), tcprobe(1), tcscan(1), transcode(1)